Remove a tag from a group
curl --request DELETE \
--url https://api.scrip.dev/v1/groups/{id}/state/tags/{tag} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scrip.dev/v1/groups/{id}/state/tags/{tag}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scrip.dev/v1/groups/{id}/state/tags/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "bad_request",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Invalid request parameters"
}{
"code": "unauthorized",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Missing or invalid credentials"
}{
"code": "not_found",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Resource not found"
}{
"code": "internal_error",
"message": "An internal error occurred"
}State
Remove a tag from a group
Remove a tag from the group. Idempotent.
DELETE
/
v1
/
groups
/
{id}
/
state
/
tags
/
{tag}
Remove a tag from a group
Removes a single tag from a group. The tag is specified in the URL path and is matched case-insensitively (tags are stored as lowercase).
Removing a tag that does not exist on the group returns a successful response. Any rule conditions that reference the removed tag will no longer match for this group on subsequent evaluations.
For usage patterns and examples, see the State Management guide.
⌘I